From a4871adb5de6f363b96e9a2d5723c32330ad1e6e Mon Sep 17 00:00:00 2001
From: Heikki Linnakangas <heikki.linnakangas@iki.fi>
Date: Thu, 6 Mar 2025 22:45:55 +0200
Subject: [PATCH 1/1] Fix test name and username used in failed connection
 attempt

The first failed connection tests the "regular" connections limit, not
the reserved limit.

The username doesn't really matter, but since the previous successful
connections used "regress_reserved", it seems weird to switch back to
"regress_regular" for the expected-to-fail attempt.
---
 src/test/postmaster/t/002_connection_limits.pl | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/test/postmaster/t/002_connection_limits.pl b/src/test/postmaster/t/002_connection_limits.pl
index 8cfa6e0ced5..94c087a2751 100644
--- a/src/test/postmaster/t/002_connection_limits.pl
+++ b/src/test/postmaster/t/002_connection_limits.pl
@@ -53,7 +53,7 @@ push(@sessions, background_psql_as_user('regress_regular'));
 push(@sessions, background_psql_as_user('regress_regular'));
 $node->connect_fails(
 	"dbname=postgres user=regress_regular",
-	"reserved_connections limit",
+	"regular connections limit",
 	expected_stderr =>
 	  qr/FATAL:  remaining connection slots are reserved for roles with privileges of the "pg_use_reserved_connections" role/
 );
@@ -61,7 +61,7 @@ $node->connect_fails(
 push(@sessions, background_psql_as_user('regress_reserved'));
 push(@sessions, background_psql_as_user('regress_reserved'));
 $node->connect_fails(
-	"dbname=postgres user=regress_regular",
+	"dbname=postgres user=regress_reserved",
 	"reserved_connections limit",
 	expected_stderr =>
 	  qr/FATAL:  remaining connection slots are reserved for roles with the SUPERUSER attribute/
-- 
2.39.5

